WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/January 2023/14 Jan 2023

RGC v Ebbw Vale

7 photographs Alan Skeates/Huw Evans Agency Saturday
Prints from £8 Order prints
140123 - RGC v Ebbw Vale - Indigo Group Premiership - Delwyn Jones of RGC is tackled by Dylan Bartlett of Ebbw Vale RFC 001
CDF_140123_RGC_v_Ebbw_Vale_01.jpg · Alan Skeates/Huw Evans Agency140123 - RGC v Ebbw Vale - Indigo Group Premiership - Delwyn Jones of RGC is tackled by Dylan Bartlett of Ebbw Vale RFC
140123 - RGC v Ebbw Vale - Indigo Group Premiership - Sam Williams of RGC is tackled by Evan Jones of Ebbw Vale RFC 002
CDF_140123_RGC_v_Ebbw_Vale_02.jpg · Alan Skeates/Huw Evans Agency140123 - RGC v Ebbw Vale - Indigo Group Premiership - Sam Williams of RGC is tackled by Evan Jones of Ebbw Vale RFC
140123 - RGC v Ebbw Vale - Indigo Group Premiership - Harry Evans of RGC is tackled by Ethan Philips of Ebbw Vale RFC 003
CDF_140123_RGC_v_Ebbw_Vale_03.jpg · Alan Skeates/Huw Evans Agency140123 - RGC v Ebbw Vale - Indigo Group Premiership - Harry Evans of RGC is tackled by Ethan Philips of Ebbw Vale RFC
140123 - RGC v Ebbw Vale - Indigo Group Premiership - Jonathan Evans of Ebbw Vale RFC passes the ball from the ruck 004
CDF_140123_RGC_v_Ebbw_Vale_04.jpg · Alan Skeates/Huw Evans Agency140123 - RGC v Ebbw Vale - Indigo Group Premiership - Jonathan Evans of Ebbw Vale RFC passes the ball from the ruck
140123 - RGC v Ebbw Vale - Indigo Group Premiership - Dion Jones of RGC take the conversion 005
CDF_140123_RGC_v_Ebbw_Vale_05.jpg · Alan Skeates/Huw Evans Agency140123 - RGC v Ebbw Vale - Indigo Group Premiership - Dion Jones of RGC take the conversion
140123 - RGC v Ebbw Vale - Indigo Group Premiership - Lewis Young of Ebbw Vale RFC goes up for the ball from the line out 006
CDF_140123_RGC_v_Ebbw_Vale_06.jpg · Alan Skeates/Huw Evans Agency140123 - RGC v Ebbw Vale - Indigo Group Premiership - Lewis Young of Ebbw Vale RFC goes up for the ball from the line out
140123 - RGC v Ebbw Vale - Indigo Group Premiership - Sam Williams  of RGC gets the try 007
CDF_140123_RGC_v_Ebbw_Vale_07.jpg · Alan Skeates/Huw Evans Agency140123 - RGC v Ebbw Vale - Indigo Group Premiership - Sam Williams of RGC gets the try

More from around this date

Sat 14 JanOspreys 35-29 Montpellier Sat 14 JanCarlisle United 2-0 Newport County Sat 14 JanSunderland 1-3 Swansea City Sat 14 JanCardiff City 1-1 Wigan Athletic Sun 15 JanCardiff Rugby 42-10 Newcastle Falcons Fri 13 JanScarlets 20-17 Cheetahs Mon 16 JanWayne Pivac Tue 17 JanSwansea City 1-2 Bristol City
RGC v Ebbw Vale · 14 Jan 2023
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured